Webinars 22 endpoints

GET /webinars/{webinarId}/panelists

List all of a webinar’s panelists.

Webinar panelists can view and send video, screen share, annotate, and do much more compared to webinar attendees.

Prerequisites:

Scopes: webinar:read:admin,webinar:read

Granular Scopes: webinar:read:list_panelists,webinar:read:list_panelists:admin

Rate Limit Label: MEDIUM

operationId: Webinars_listPanelists

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

Responses

200

HTTP Status Code: 200

Webinar plan subscription missing. Enable webinar for this user once the subscription is added.

400

HTTP Status Code: 400

Bad Request

Error Code: 1010

User does not belong to this account:{accountId}.

404

HTTP Status Code: 404

Not Found

Error Code: 1001

User {userId} does not exist or does not belong to this account.


Error Code: 3001

Webinar {webinarId} not found or has expired.

GET /webinars/{webinarId}/panelists
POST /webinars/{webinarId}/panelists

Panelists in a webinar can view and send video, screen share, annotate, and do much more compared to attendees in a webinar.
Add panelists to a scheduled webinar.

Prerequisites:

Scopes: webinar:write,webinar:write:admin

Granular Scopes: webinar:write:panelist,webinar:write:panelist:admin

Rate Limit Label: MEDIUM

operationId: Webinars_addPanelists

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

Request Body

application/json
schema WebinarsAddPanelistsRequest
Property Type Required
panelists array optional
name string optional
email string optional
name_tag_id string optional
name_tag_name string optional
name_tag_pronouns string optional
name_tag_description string optional
virtual_background_id string optional

Responses

201

HTTP Status Code: 201

Panelist created.

400

HTTP Status Code: 400

Bad Request

Error Code: 1010

User does not belong to this account:{accountId}.


Error Code: 3000

You have reached the limit for the number of panelists you can add. Contact Zoom Support for more information.

404

HTTP Status Code: 404

Not Found

Error Code: 1001

User {userId} does not exist or does not belong to this account.


Error Code: 3001

Webinar {webinarId} not found or has expired.

429

HTTP Status Code: 429

Too Many Requests

POST /webinars/{webinarId}/panelists
DELETE /webinars/{webinarId}/panelists/{panelistId}

Remove a single panelist from a webinar.
Retrieve the panelistId by calling List Panelists API.

Prerequisites:

Scopes: webinar:write,webinar:write:admin

Granular Scopes: webinar:delete:panelist,webinar:delete:panelist:admin

Rate Limit Label: LIGHT

operationId: Webinars_removePanelist

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

panelistId path required string

The panelist’s ID or email.

Responses

204

HTTP Status Code: 204

Panelist removed.

400

HTTP Status Code: 400

Bad Request

Error Code: 1010

User {accountId} does not belong to this account.

404

HTTP Status Code: 404

Not Found

Error Code: 1001

User {email} does not exist or does not belong to this account.

Error Code: 3001

Webinar {webinarId} not found or has expired.

DELETE /webinars/{webinarId}/panelists/{panelistId}
GET /webinars/{webinarId}/polls

List all the polls of a Webinar.

Scopes: webinar:read:admin,webinar:read

Granular Scopes: webinar:read:list_polls,webinar:read:list_polls:admin

Rate Limit Label: LIGHT

operationId: Webinars_listPolls

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

anonymous query optional boolean

Whether to query for polls with the Anonymous option enabled:

  • true — Query for polls with the Anonymous option enabled.
  • false — Do not query for polls with the Anonymous option enabled.

Responses

200

HTTP Status Code: 200

List polls of a Webinar returned

400

HTTP Status Code: 400

Bad Request

Error Code: 4400

Webinar polls disabled. To enable this feature, enable the “Webinar Polls/Quizzes” setting in the Zoom web portal’s “Settings” interface.

404

HTTP Status Code: 404

Not Found

GET /webinars/{webinarId}/polls
POST /webinars/{webinarId}/polls

Create a poll for a webinar.

Scopes: webinar:write,webinar:write:admin

Granular Scopes: webinar:write:poll,webinar:write:poll:admin

Rate Limit Label: LIGHT

operationId: Webinars_createPoll

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

Request Body

Webinar poll object.

application/json
schema WebinarsCreatePollRequest
Property Type Required
title string optional
anonymous boolean optional
poll_type integer optional
questions array optional
name string optional
type string optional
answers array optional
prompts array optional
prompt_question string optional
prompt_right_answers array optional
right_answers array optional
case_sensitive boolean optional
answer_required boolean optional
rating_max_label string optional
rating_max_value integer optional
rating_min_label string optional
rating_min_value integer optional
show_as_dropdown boolean optional
answer_max_character integer optional
answer_min_character integer optional

Responses

201

HTTP Status Code: 201

Webinar Poll Created

400

HTTP Status Code: 400

Bad Request

Error Code: 4400

  • Webinar polls disabled. To enable this feature, enable the “Webinar Polls/Quizzes” setting in the Zoom web portal’s “Settings” interface.
  • Advanced webinar polls disabled. To enable this feature, enable the “Allow host to create advanced polls and quizzes” setting in the Zoom web portal’s “Settings” interface.
404

HTTP Status Code: 404

Not Found

POST /webinars/{webinarId}/polls
DELETE /webinars/{webinarId}/polls/{pollId}

Delete a webinar’s poll.

Scopes: webinar:write,webinar:write:admin

Granular Scopes: webinar:delete:poll,webinar:delete:poll:admin

Rate Limit Label: LIGHT

operationId: Webinars_deletePoll

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

pollId path required string

The poll ID

Responses

204

HTTP Status Code: 204

Webinar Poll deleted

400

HTTP Status Code: 400

Bad Request

Error Code: 4400

Webinar polls disabled. To enable this feature, enable the “Webinar Polls/Quizzes” setting in the Zoom web portal’s “Settings” interface.

404

HTTP Status Code: 404

Not Found

Error Code: 3001

Webinar {webinarId} not found or has expired.

DELETE /webinars/{webinarId}/polls/{pollId}
GET /webinars/{webinarId}/polls/{pollId}

Get a webinar’s poll details.

Scopes: webinar:read:admin,webinar:read

Granular Scopes: webinar:read:poll,webinar:read:poll:admin

Rate Limit Label: LIGHT

operationId: Webinars_getPollDetails

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

pollId path required string

The poll ID

Responses

200

HTTP Status Code: 200

Webinar Poll object returned

400

HTTP Status Code: 400

Bad Request

Error Code: 4400

Webinar polls disabled. To enable this feature, enable the “Webinar Polls/Quizzes” setting in the Zoom web portal’s “Settings” interface.

404

HTTP Status Code: 404

Not Found

Error Code: 3001

Webinar {webinarId} not found or has expired.

GET /webinars/{webinarId}/polls/{pollId}
PUT /webinars/{webinarId}/polls/{pollId}

Update a webinar’s poll.

Scopes: webinar:write,webinar:write:admin

Granular Scopes: webinar:update:poll,webinar:update:poll:admin

Rate Limit Label: LIGHT

operationId: Webinars_updatePoll

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

pollId path required string

The poll ID

Request Body

Webinar Poll

application/json
schema WebinarsUpdatePollRequest
Property Type Required
title string optional
anonymous boolean optional
poll_type integer optional
questions array optional
name string optional
type string optional
answers array optional
prompts array optional
prompt_question string optional
prompt_right_answers array optional
right_answers array optional
case_sensitive boolean optional
answer_required boolean optional
rating_max_label string optional
rating_max_value integer optional
rating_min_label string optional
rating_min_value integer optional
show_as_dropdown boolean optional
answer_max_character integer optional
answer_min_character integer optional

Responses

204

HTTP Status Code: 204

Webinar Poll Updated

400

HTTP Status Code: 400

Bad Request

Error Code: 4400

  • Webinar polls disabled. To enable this feature, enable the “Webinar Polls/Quizzes” setting in the Zoom web portal’s “Settings” interface.
  • Advanced webinar polls disabled. To enable this feature, enable the “Allow host to create advanced polls and quizzes” setting in the Zoom web portal’s “Settings” interface.
404

HTTP Status Code: 404

Not Found

Error Code: 3001

Webinar {webinarId} not found or has expired.

PUT /webinars/{webinarId}/polls/{pollId}
GET /webinars/{webinarId}/registrants

List all users that have registered for a given webinar. Zoom users with a webinar plan have access to creating and managing webinars. The webinar functionality lets a host broadcast a Zoom meeting to up to 10,000 attendees. Scheduling a webinar with registration requires your registrants to complete a brief form before receiving the link to join the webinar.

Prerequisites

  • Pro or higher plan with a Webinar Add-on.

Scopes: webinar:read:admin,webinar:read

Granular Scopes: webinar:read:list_registrants,webinar:read:list_registrants:admin

Rate Limit Label: MEDIUM

operationId: Webinars_listRegistrants

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

occurrence_id query optional string

The meeting or webinar occurrence ID.

status query optional string

Query by the registrant’s status.

  • pending - The registration is pending.
  • approved - The registrant is approved.
  • denied - The registration is denied.
tracking_source_id query optional string

The tracking source ID for the registrants. Useful if you share the webinar registration page in multiple locations. See Creating source tracking links for webinar registration for details.

page_size query optional integer

The number of records returned within a single API call.

page_number query optional integer

Deprecated This field will be deprecated. We will no longer support this field in a future release. Instead, use the next_page_token for pagination.

next_page_token query optional string

Use the next page token to paginate through large result sets. A next page token is returned whenever the set of available results exceeds the current page size. This token’s expiration period is 15 minutes.

Responses

200

HTTP Status Code: 200

Webinar plan subscription is missing. Enable webinar for this user once the subscription is added:{userId}.

400

HTTP Status Code: 400

Bad Request

Error Code: 1010

User does not belong to this account:{accountId}.

404

HTTP Status Code: 404

Not Found

Error Code: 1001

User {userId} does not exist or does not belong to this account.


Error Code: 3001

Webinar {webinarId} not found or has expired.

GET /webinars/{webinarId}/registrants
POST /webinars/{webinarId}/registrants

Create and submit a user’s registration for a webinar. Zoom users with a Webinar plan have access to creating and managing webinars. Webinars allow hosts to broadcast a Zoom meeting to up to 10,000 attendees. Scheduling a webinar with registration requires your registrants to complete a brief form before receiving the link to join the webinar.

Prerequisites:

  • A Pro or higher plan with the Webinar add-on.

Scopes: webinar:write,webinar:write:admin

Granular Scopes: webinar:write:registrant,webinar:write:registrant:admin

Rate Limit Label: LIGHT

operationId: Webinars_addRegistrant

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

occurrence_ids query optional string

A comma-separated list of webinar occurrence IDs. Get this value with the Get a webinar API. Make sure the registration_type is 3 if updating multiple occurrences with this API.

Request Body

application/json
schema WebinarsAddRegistrantRequest
Property Type Required
org string optional
zip string optional
city string optional
email string required
phone string optional
state string optional
address string optional
country string optional
comments string optional
industry string optional
language string optional
job_title string optional
last_name string optional
source_id string optional
first_name string required
no_of_employees string optional
custom_questions array optional
title string optional
value string optional
purchasing_time_frame string optional
role_in_purchase_process string optional

Responses

201

HTTP Status Code: 201

Webinar registration created.

400

HTTP Status Code: 400

Bad Request

Error Code: 1010

User does not belong to this account: {accountId}

Error Code: 3000

This webinar does not have registration as required: {webinarId}.

Error Code: 3027

Host cannot register.

Error Code: 3034

If you have been invited, please input your work email address.

Error Code: 3038

Webinar is over, you cannot register now. If you have any questions, contact the webinar host.

Error Code: 3000

You have reached the limit for the number of attendees you can add. Contact Zoom Support for more information.

Error Code: 3000

The Zoom REST API does not support paid registration.

404

HTTP Status Code: 404

Not Found

Error Code: 1001

User “{userId}” does not exist or does not belong to this account.

Error Code: 3001

Webinar “{webinarId}” not found or has expired.

429

HTTP Status Code: 429

Too Many Requests

POST /webinars/{webinarId}/registrants
GET /webinars/{webinarId}/registrants/questions

List registration questions and fields that are to be answered by users while registering for a webinar.

Scheduling a webinar with registration requires your registrants to complete a brief form with fields and questions before they can receive the link to join the webinar.

Prerequisites:

  • Pro or higher plan with the webinar add-on.

Scopes: webinar:read:admin,webinar:read

Granular Scopes: webinar:read:list_registration_questions,webinar:read:list_registration_questions:admin

Rate Limit Label: LIGHT

operationId: Webinars_listRegistrationQuestions

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

Responses

200

HTTP Status Code: 200 Webinar registrant question object returned.

404

HTTP Status Code: 404

Not Found

GET /webinars/{webinarId}/registrants/questions
PATCH /webinars/{webinarId}/registrants/questions

Update registration questions and fields of a scheduled webinar for users to answer during webinar registration. Scheduling a webinar with registration requires your registrants to complete a brief form with fields and questions before they can receive the link to join the webinar.

Prerequisites:

  • Pro or higher plan with a Webinar Add-on.
  • Registration option for Webinar should be set as required to use this API.

Scopes: webinar:write,webinar:write:admin

Granular Scopes: webinar:update:registration_question,webinar:update:registration_question:admin

Rate Limit Label: LIGHT

operationId: Webinars_updateRegistrationQuestions

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

Request Body

Webinar registrant questions

application/json
schema WebinarsUpdateRegistrationQuestionsRequest
Property Type Required
questions array optional
required boolean optional
field_name string optional
custom_questions array optional
type string optional
title string optional
answers array optional
required boolean optional

Responses

204

HTTP Status Code: 204 Webinar registrant questions updated.

404

HTTP Status Code: 404

Not Found

PATCH /webinars/{webinarId}/registrants/questions
PUT /webinars/{webinarId}/registrants/status

Update webinar registrants’ registration status. You can approve or deny a registrant, or revoke a registrant’s approval.

Scopes: webinar:write,webinar:write:admin

Granular Scopes: webinar:update:registrant_status,webinar:update:registrant_status:admin

Rate Limit Label: MEDIUM

operationId: Webinars_updateRegistrantStatus

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

occurrence_id query optional string

The meeting or webinar occurrence ID.

Request Body

application/json
schema WebinarsUpdateRegistrantStatusRequest
Property Type Required
action string required
registrants array optional
id string optional
email string optional

Responses

204

HTTP Status Code: 204

Registrant status updated.

400

HTTP Status Code: 400

Bad Request

Error Code: 1010

User does not belong to this account: {accountId}.

Error Code: 3035

Webinar has reached maximum attendee capacity.

404

HTTP Status Code: 404

Not Found

Error Code: 1001

User {userId} does not exist or does not belong to this account.

Error Code: 3001

Webinar {webinarId} not found or has expired.

429

HTTP Status Code: 429

Too Many Requests

PUT /webinars/{webinarId}/registrants/status
DELETE /webinars/{webinarId}/registrants/{registrantId}

Delete a webinar registrant.

Scopes: webinar:write,webinar:write:admin

Granular Scopes: webinar:delete:registrant,webinar:delete:registrant:admin

Rate Limit Label: LIGHT

operationId: Webinars_deleteRegistrant

Parameters

Name In Required Type Description
webinarId path required integer

The webinar ID.

registrantId path required string

The registrant ID.

occurrence_id query optional string

The webinar occurrence ID.

Responses

204

HTTP status code: 204

OK

400

HTTP Status Code: 400

Bad Request

Error Code: 200

Webinar plan is missing. You must subscribe to the webinar plan and enable webinars for this user in order to perform this action: {0}.


Error Code: 300

The value that you entered for the Registrant ID field is invalid. Enter a valid value and try again.


Error Code: 404

Registration has not been enabled for this webinar: {0}.


Error Code: 3000

Registrant {0} was not found.


Error Code: 3001

Webinar does not exist: {0}.

DELETE /webinars/{webinarId}/registrants/{registrantId}
GET /webinars/{webinarId}/registrants/{registrantId}

Zoom users with a webinar plan have access to creating and managing webinars. The webinar feature lets a host broadcast a Zoom meeting to up to 10,000 attendees. Scheduling a webinar with registration requires your registrants to complete a brief form before receiving the link to join the webinar.
Use this API to get details on a specific user who has registered for the webinar.

Prerequisites:

  • The account must have a webinar plan.

Scopes: webinar:read:admin,webinar:read

Granular Scopes: webinar:read:registrant,webinar:read:registrant:admin

Rate Limit Label: LIGHT

operationId: Webinars_registrantDetails

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

registrantId path required string

The registrant ID.

occurrence_id query optional string

The meeting or webinar occurrence ID.

Responses

200

Success.

400

HTTP Status Code: 400

Bad Request

Error Code: 1010

User does not belong to this account:{accountId}.

404

HTTP Status Code: 404

Not Found

Error Code: 1001

User {userId} does not exist or does not belong to this account.


Error Code: 3001

Webinar {webinarId} not found or has expired.

GET /webinars/{webinarId}/registrants/{registrantId}
POST /webinars/{webinarId}/sip_dialing

Get a webinar’s SIP URI. The URI consists of the webinar ID, an optional user-supplied passcode, and participant identifier code. The API return data also includes additional fields to indicate whether the API caller has a valid Cloud Room Connector subscription, the participant identifier code from the URI, and the SIP URI validity period in seconds.

Scopes: webinar:write:admin:sip_dialing,webinar:write:sip_dialing

Rate Limit Label: LIGHT

operationId: Webinars_getSipUriWithPasscode

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

When storing this value in your database, store it as a long format integer and not an integer. Webinar IDs can exceed 10 digits.

Request Body

application/json
schema WebinarsGetSipUriWithPasscodeRequest
Property Type Required
passcode string optional

Responses

201

HTTP Status Code: 201 Webinar’s encoded SIP URI returned.

400

HTTP Status Code: 400

Bad Request

Error Code: 300

Webinar Id does not exist.

Error Code: 300

Invalid Webinar Id.

Error Code: 3000

Cannot access meeting info.

Error Code: 3000

The webinar’s SIP URI does not exist: {webinarId}.

POST /webinars/{webinarId}/sip_dialing
PUT /webinars/{webinarId}/status

Update a webinar’s status. Use this API to end an ongoing webinar.

Prerequisites:

Scopes: webinar:write,webinar:write:admin

Granular Scopes: webinar:update:status,webinar:update:status:admin

Rate Limit Label: LIGHT

operationId: Webinars_updateStatus

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

Request Body

application/json
schema WebinarsUpdateStatusRequest
Property Type Required
action string optional

Responses

200

Webinar plan subscription is missing. Enable webinar for this user once the subscription is added:{userId}.

400

HTTP Status Code: 400

Bad Request

Error Code: 1010

User does not belong to this account:{accountId}.


Error Code: 3003

You are not the meeting host.


Error Code: 3063

Can not end on-premise user’s meeting:{meetingId}.

404

HTTP Status Code: 404

Not Found

Error Code: 1001

User {userId} does not exist or does not belong to this account.


Error Code: 3001

Webinar {webinarId} not found or has expired.

PUT /webinars/{webinarId}/status
DELETE /webinars/{webinarId}/survey

Use this API to delete a webinar survey.

Prerequisites:

  • A Pro or higher plan with the Webinar Add-on.
  • The Webinar Survey feature enabled in the host’s account.

Scopes: webinar:write,webinar:write:admin

Granular Scopes: webinar:delete:survey,webinar:delete:survey:admin

Rate Limit Label: LIGHT

operationId: Webinars_deleteSurvey

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

Responses

204

HTTP Status Code: 204

Webinar survey deleted.

400

HTTP Status Code: 400

Bad Request

Error Code: 300

Invalid webinar ID.

Error Code: 3000

Webinar survey disabled. To enable this feature, enable the “Webinar Survey” setting in the Zoom web portal’s “Settings” interface.

404

HTTP Status Code: 404

Not Found

Error Code: 300

Webinar ID does not exist.

Error Code: 3001

Webinar does not exist: {webinarId}.

DELETE /webinars/{webinarId}/survey
GET /webinars/{webinarId}/survey

Return information about a webinar survey.

Prerequisites:

  • A Pro or higher plan with the Webinar add-on.
  • The Webinar Survey feature enabled in the host’s account.

Scopes: webinar:read:admin,webinar:read

Granular Scopes: webinar:read:survey,webinar:read:survey:admin

Rate Limit Label: LIGHT

operationId: Webinars_getSurvey

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

Responses

200

HTTP Status Code: 200

Webinar survey object returned.

400

HTTP Status Code: 400

Bad Request

Error Code: 300

Invalid webinar ID.

Error Code: 3000

Webinar survey disabled. To enable this feature, enable the “Webinar Survey” setting in the Zoom web portal’s “Settings” interface.

404

HTTP Status Code: 404

Not Found

Error Code: 300

Webinar ID does not exist.

Error Code: 3001

Webinar does not exist: {webinarId}.

GET /webinars/{webinarId}/survey
PATCH /webinars/{webinarId}/survey

Update a webinar survey. Prerequisites: * A Pro or higher plan with the Webinar add-on. * Enable the Webinar Survey feature in the host’s account.

Scopes: webinar:write,webinar:write:admin

Granular Scopes: webinar:update:survey,webinar:update:survey:admin

Rate Limit Label: LIGHT

operationId: Webinars_updateSurvey

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

Request Body

application/json
schema WebinarsUpdateSurveyRequest
Property Type Required
custom_survey object optional
title string optional
feedback string optional
anonymous boolean optional
questions array optional
name string optional
type string optional
answers array optional
prompts array optional
prompt_question string optional
answer_required boolean optional
rating_max_label string optional
rating_max_value integer optional
rating_min_label string optional
rating_min_value integer optional
show_as_dropdown boolean optional
answer_max_character integer optional
answer_min_character integer optional
numbered_questions boolean optional
show_question_type boolean optional
third_party_survey string optional
show_in_the_browser boolean optional
show_in_the_follow_up_email boolean optional

Responses

204

HTTP Status Code: 204

Webinar survey updated.

400

HTTP Status Code: 400

Bad Request

Error Code: 300

Invalid webinar ID.

Error Code: 300

Invalid third party survey: {third_party_survey}.

Error Code: 3000

Webinar survey disabled. To use this feature, enable the “Webinar Survey” setting in the Zoom web portal’s “Settings” interface.

Error Code: 3000

The host isn’t allowed to use a third party survey link. To use this feature, enable the “Allow host to use a 3rd-party survey link” setting in the “Account Settings” page of the Zoom web portal.

404

HTTP Status Code: 404

Not Found

Error Code: 300

Webinar ID does not exist.

Error Code: 3001

Webinar does not exist: {webinarId}.

PATCH /webinars/{webinarId}/survey
GET /webinars/{webinarId}/token

Use this API to get a webinar’s closed caption token (caption URL). This token lets you use a third-party service to stream text to their closed captioning software to the Zoom webinar.

Prerequisites:

  • A Pro or higher plan with the Webinar add-on.
  • The Closed captioning setting enabled in the Zoom web portal.
  • The Allow use of caption API Token to integrate with 3rd-party Closed Captioning services setting enabled.

Scopes: webinar:read,webinar:read:admin

Rate Limit Label: Light

operationId: Webinars_getWebinarToken

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

type query optional string

The webinar token type:

  • closed_caption_token — The third-party closed caption API token.

This defaults to closed_caption_token.

Responses

200

HTTP Status Code: 200

Webinar token returned.

400

HTTP Status Code: 400

Bad Request

Error Code: 300

Invalid webinar ID.

Error Code: 3000

Closed captioning disabled. To enable this feature, enable the “Closed captioning” and “Allow use of caption API Token to integrate with 3rd-party Closed Captioning services” settings in the Zoom web portal’s “Settings” interface.

Error Code: 3000

Webinar {webinarId} has not started.

404

HTTP Status Code: 404

Not Found

Error Code: 300

Webinar ID does not exist.

Error Code: 3001

Webinar does not exist: {webinarId}

GET /webinars/{webinarId}/token
GET /webinars/{webinarId}/tracking_sources

Webinar Registration Tracking Sources allow you to see where your registrants are coming from if you share the webinar registration page in multiple platforms. You can then use the source tracking to see the number of registrants generated from each platform.
Use this API to list information on all the tracking sources of a Webinar.

Prerequisites:

Scopes: webinar:read:admin,webinar:read

Granular Scopes: webinar:read:list_tracking_sources,webinar:read:list_tracking_sources:admin

Rate Limit Label: MEDIUM

operationId: Webinars_listTrackingSources

Parameters

Name In Required Type Description
webinarId path required integer

The webinar’s ID.

Responses

200

HTTP Status Code: 200

GET /webinars/{webinarId}/tracking_sources